Loading...
Searching...
No Matches
itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction > Class Template Reference

`#include <itkGPUInterpolateImageFunction.h>`

## Detailed Description

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>
class itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >

GPU version of InterpolateImageFunction.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 40 of file itkGPUInterpolateImageFunction.h.

Inheritance diagram for itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | ContinuousIndexType = typename CPUSuperclass::ContinuousIndexType
using | CoordRepType = typename CPUSuperclass::CoordRepType
using | CPUSuperclass = TParentInterpolateImageFunction
using | GPUSuperclass = GPUInterpolatorBase
using | InputImageType = typename CPUSuperclass::InputImageType
using | Pointer = SmartPointer<Self>
using | Self = GPUInterpolateImageFunction

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (GPUInterpolateImageFunction)
| itkStaticConstMacro (InputImageDimension, unsigned int, TInputImage::ImageDimension)
Public Member Functions inherited from itk::GPUInterpolatorBase
virtual const char * | GetNameOfClass () const
virtual bool | GetSourceCode (std::string &source) const

## Protected Member Functions

GPUDataManager::Pointer | GetParametersDataManager () const override
| GPUInterpolateImageFunction ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GPUInterpolateImageFunction () override=default
Protected Member Functions inherited from itk::GPUInterpolatorBase
| GPUInterpolatorBase ()
virtual | ~GPUInterpolatorBase ()=default

## Additional Inherited Members

Protected Attributes inherited from itk::GPUInterpolatorBase
GPUDataManager::Pointer | m_ParametersDataManager {}

## Member Typedef Documentation

## ConstPointer

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

using itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::ConstPointer = SmartPointer<const Self>

Definition at line 52 of file itkGPUInterpolateImageFunction.h.

## ContinuousIndexType

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

using itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::ContinuousIndexType = typename CPUSuperclass::ContinuousIndexType

Definition at line 62 of file itkGPUInterpolateImageFunction.h.

## CoordRepType

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

using itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::CoordRepType = typename CPUSuperclass::CoordRepType

Definition at line 63 of file itkGPUInterpolateImageFunction.h.

## CPUSuperclass

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

using itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::CPUSuperclass = TParentInterpolateImageFunction

Definition at line 49 of file itkGPUInterpolateImageFunction.h.

## GPUSuperclass

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

using itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::GPUSuperclass = GPUInterpolatorBase

Definition at line 50 of file itkGPUInterpolateImageFunction.h.

## InputImageType

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

using itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::InputImageType = typename CPUSuperclass::InputImageType

Superclass typedef support.

Definition at line 61 of file itkGPUInterpolateImageFunction.h.

## Pointer

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

using itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::Pointer = SmartPointer<Self>

Definition at line 51 of file itkGPUInterpolateImageFunction.h.

## Self

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

using itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::Self = GPUInterpolateImageFunction

Standard class typedefs.

Definition at line 48 of file itkGPUInterpolateImageFunction.h.

## Constructor & Destructor Documentation

## GPUInterpolateImageFunction()

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::GPUInterpolateImageFunction | ( |  | ) |

protected

## ~GPUInterpolateImageFunction()

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::~GPUInterpolateImageFunction | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

virtual const char * itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >, itk::GPUBSplineInterpolateImageFunction< InputImageType, InterpolatorPrecisionType >, itk::GPULinearInterpolateImageFunction< TInputImage, TCoordRep >, and itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >.

## GetParametersDataManager()

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

GPUDataManager::Pointer itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::GetParametersDataManager | ( |  | ) | const

override protected virtual

Returns data manager that stores all settings for the transform.

Reimplemented from itk::GPUInterpolatorBase.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction > |  | ) |

## itkStaticConstMacro()

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::itkStaticConstMacro | ( | InputImageDimension | ,
|  | unsigned int | ,
|  | TInputImage::ImageDimension | )

ImageDimension constants

## PrintSelf()

template<typename TInputImage, typename TCoordRep = float, typename TParentInterpolateImageFunction = InterpolateImageFunction<TInputImage, TCoordRep>>

void itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

Generated on 1768596610 for elastix by 1.15.0 |